vRPCpc = {}
Tunnel.bindInterface("vRP_paycheck",vRPCpc)
Proxy.addInterface("vRP_paycheck",vRPCpc)
vRPSpc = Tunnel.getInterfata("vRP_paycheck","vRP_paycheck")
vRP = Proxy.getInterface("vRP")

local showing = nil
local isFinishing = false
local isStarting = false
local rectAlpha = 0
local textAlpha = 0
local fontsLoaded = false

function fadeout()
	isFinishing = true
    Citizen.CreateThread(function()
        while isFinishing do
            Citizen.Wait(1)
			if textAlpha <= 0 then
				textAlpha = 0
			else
				textAlpha = textAlpha-1
			end

			if rectAlpha <= 0 then
				rectAlpha = 0
			else
				rectAlpha = rectAlpha-1
			end
			if(textAlpha == 0 and rectAlpha == 0)then
				isFinishing = false
			end
        end
    end)
end

function fadein()
	isStarting = true
    Citizen.CreateThread(function()
        while isStarting do
            Citizen.Wait(1)
			if textAlpha < 254 then
				textAlpha = textAlpha + 2
			end
			if rectAlpha < 150 then
				rectAlpha = rectAlpha + 2
			end
			if textAlpha >= 254 and rectAlpha >= 150 then
				SetTimeout(10000,function()
					isStarting = false
					fadeout()
				end)
			end
        end
    end)
end

function formatMoney(amount)
	local left,num,right = string.match(tostring(amount),'^([^%d]*%d)(%d*)(.-)$')
	return left..(num:reverse():gsub('(%d%d%d)','%1.'):reverse())..right
end

function vRPCpc.doPayDay(income,vip,incomeTotal,theFaction,vipRank)
	Citizen.CreateThread(function()

		fadein()
		while true do
			if(isStarting or isFinishing)then	
				drawHudText(0.20,0.38,0.0,0.0,0.7,"~b~* PayDay *",255,255,255,textAlpha,true,1,1)
				drawHudText(0.20,0.44,0.0,0.0,0.60,"~w~"..theFaction.." ~b~"..formatMoney(tonumber(income)).."$",0,255,0,textAlpha,true,4,1)
				if(vip > 0)then
					drawHudText(0.20,0.465,0.0,0.0,0.60,"~w~"..vipRank.." ~b~"..formatMoney(tonumber(vip)).."$",255,0,0,textAlpha,true,4,1)
				end
			else
				return
			end
			Wait(0)
		end
	end)
end
paydaytimer = "30:00"
Citizen.CreateThread(function()
	while true do
		vRPSpc.getPayDayTimer({}, function(payDay)
			paydaytimer = payDay
		end)
		Wait(1000)
	end
end)

function drawHudText(x,y ,width,height,scale, text, r,g,b,a, outline, font, center)
    SetTextFont(7)
    SetTextProportional(0)
    SetTextScale(scale, scale)
    SetTextColour(r, g, b, a)
    SetTextDropShadow(0, 0, 0, 0,255)
    SetTextEdge(1, 0, 0, 0, 255)
    SetTextDropShadow()
    SetTextCentre(center)
    if(outline)then
        SetTextOutline()
    end
    SetTextEntry("STRING")
    AddTextComponentString(text)
    DrawText(x - width/2, y - height/2 + 0.005)
end